## libpanel 1.0.1

=== debian/changelog ===
libpanel (1.0.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Oct 2022 14:26:02 -0400

libpanel (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Add Breaks for gnome-builder << 43~rc
  * debian/libpanel-common.install: Install translations
  * debian/libpanel-1-1.symbols: Update
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 17:15:04 -0400

libpanel (1.0~alpha1-1) unstable; urgency=medium

  * New upstream release
  * Add patch to keep using gtk4 4.6 for now
  * debian/libpanel-1-1.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 07:37:55 -0400

libpanel (1.0~alpha-1) unstable; urgency=medium

  * Initial release (Closes: #1016606)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 17:27:15 -0400

## libpanel 1.0.2

=== meson_options.txt ===
option('install-examples', 
       type: 'boolean', 
       value: false, 
       description: 'Install example applications')

option('introspection', 
       type: 'feature', 
       value: 'enabled', 
       description: 'Enable GObject Introspection')

option('docs',
       type: 'feature', 
       value: 'auto', yield: true,
       description: 'Build the API reference (requires gi-docgen)')

option('vapi',
       type: 'boolean', 
       value: true,
       description: 'Generate vapi data (requires vapigen)')

=== debian/changelog ===
libpanel (1.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 15:00:04 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libpanel
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gi-docgen,
               libadwaita-1-dev (>= 1.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.68),
               libgtk-4-dev (>= 4.7),
               meson (>= 0.60),
               valac
Standards-Version: 4.6.1
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/libpanel
Vcs-Git: https://salsa.debian.org/gnome-team/libpanel.git
Homepage: https://gitlab.gnome.org/GNOME/libpanel

Package: libpanel-1-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpanel-common (>= ${source:Version})
Breaks: gnome-builder (<< 43~rc)
Description: IDE paneling library for GTK
 libpanel is a collection of GTK widgets for IDE-like applications targeting
 GNOME using GTK 4 and libadwaita.

Package: libpanel-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpanel-1-1 (= ${binary:Version}),
         gir1.2-panel-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.68),
         libgtk-4-dev (>= 4.7),
Suggests: libpanel-doc
Description: IDE paneling library for GTK - development files
 libpanel is a collection of GTK widgets for IDE-like applications targeting
 GNOME using GTK 4 and libadwaita.
 .
 This package contains the development files.

Package: libpanel-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: IDE paneling library for GTK - common files
 libpanel is a collection of GTK widgets for IDE-like applications targeting
 GNOME using GTK 4 and libadwaita.
 .
 This package contains common data files and translations.

Package: libpanel-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: IDE paneling library for GTK - documentation
 libpanel is a collection of GTK widgets for IDE-like applications targeting
 GNOME using GTK 4 and libadwaita.
 .
 This package contains the API reference.

Package: gir1.2-panel-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for libpanel
 This package contains GObject introspection information.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled

## libpanel 1.2.0

=== debian/changelog ===
libpanel (1.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:11:17 -0400

libpanel (1.1.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump glib, gtk4, & libadwaita dependency versions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 18:59:38 -0500

libpanel (1.1.1-1) experimental; urgency=medium

  * New upstream release
  * debian/libpanel-1-1.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2023 08:01:57 -0500

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                gi-docgen,
-               libadwaita-1-dev (>= 1.0),
+               libadwaita-1-dev (>= 1.2),
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.68),
-               libgtk-4-dev (>= 4.7),
+               libglib2.0-dev (>= 2.75),
+               libgtk-4-dev (>= 4.8),
                meson (>= 0.60),
                valac
 Standards-Version: 4.6.1
@@ -43,8 +43,8 @@
          ${shlibs:Depends},
          libpanel-1-1 (= ${binary:Version}),
          gir1.2-panel-1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.68),
-         libgtk-4-dev (>= 4.7),
+         libglib2.0-dev (>= 2.75),
+         libgtk-4-dev (>= 4.8),
 Suggests: libpanel-doc
 Description: IDE paneling library for GTK - development files
  libpanel is a collection of GTK widgets for IDE-like applications targeting

## libpanel 1.3.0

=== debian/changelog ===
libpanel (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libpanel-1-1.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 19:30:24 -0400

libpanel (1.2.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:15:46 -0400

## libpanel 1.4.0

=== debian/changelog ===
libpanel (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 07:59:46 -0400

libpanel (1.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 14:56:03 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,7 +17,7 @@
                libgtk-4-dev (>= 4.8),
                meson (>= 0.60),
                valac
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/libpanel

## libpanel 1.4.1

=== debian/changelog ===
libpanel (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 13:34:49 -0500

## libpanel 1.6.0

=== debian/changelog ===
libpanel (1.6.0-2) unstable; urgency=medium

  * Update debian/copyright
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Jun 2024 09:40:41 -0400

libpanel (1.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 19 Mar 2024 09:56:06 -0400

libpanel (1.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix CSS clipping with frame switcher buttons

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 07 Mar 2024 12:09:27 -0500

libpanel (1.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 21 Feb 2024 22:36:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libpanel
 Section: libs
 Priority: optional
@@ -17,7 +13,7 @@
                libgtk-4-dev (>= 4.8),
                meson (>= 0.60),
                valac
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/libpanel

## libpanel 1.8.0

=== debian/changelog ===
libpanel (1.8.0-2) unstable; urgency=medium

  * Skip autopkgtest on riscv64 (Mitigates: #1082138)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 18 Sep 2024 13:55:46 -0400

libpanel (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:24:25 -0400

libpanel (1.7.1-3) experimental; urgency=medium

  [ Nathan Pratta Teodosio ]
  * autopkgtest: Add debugging messages to panel test program
  * autopkgtest: Use kill -0 instead of checking for /proc/$pid

  [ Jeremy Bícha ]
  * autopkgtest: Set GTK_A11Y=none

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 06:54:01 -0400

libpanel (1.7.1-2) experimental; urgency=medium

  * autopkgtest: add build-essential to Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Aug 2024 22:02:17 -0400

libpanel (1.7.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum glib, GTK4, & libadwaita
  * debian/libpanel-1-1.symbols: Add new symbols
  * Use ${gir:Provides} for -dev package

  [ Nathan Pratta Teodosio ]
  * Add autopkgtest

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 15:49:23 -0400

=== debian/tests/control ===
Tests: trigger-3buttons
Depends: build-essential, libpanel-dev, libadwaita-1-dev, xvfb, xdotool
Architecture: !riscv64
Restrictions: allow-stderr

## libpanel 1.8.1

=== debian/changelog ===
libpanel (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Revert "Skip autopkgtest on riscv64 (Mitigates: #1082138)"
  * autopkgtest: increase sleep to 5 seconds to fix riscv64 (Closes: #1082138)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 10:31:14 -0500

## libpanel 1.9.0

=== debian/changelog ===
libpanel (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 15:50:41 -0500

## libpanel 1.10.0

=== debian/changelog ===
libpanel (1.10.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Add missing gir1.2-*-dev Build-Depends as reported by
    dh_girepository
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Add ${gir:Depends} to -dev package
  * d/libpanel-doc.links: Make API documentation more discoverable
  * d/*.doc-base.*: Register API documentation with doc-base
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 21:53:17 +0100

libpanel (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 11:42:47 -0400

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                gi-docgen,
-               libadwaita-1-dev (>= 1.2),
-               libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.75),
-               libgtk-4-dev (>= 4.8),
+               gir1.2-adw-1-dev,
+               gir1.2-gtk-4.0-dev,
+               gobject-introspection (>= 1.80),
+               libadwaita-1-dev (>= 1.6~beta),
+               libglib2.0-dev (>= 2.80),
+               libgtk-4-dev (>= 4.15),
                meson (>= 0.60),
                valac
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/libpanel
 Vcs-Git: https://salsa.debian.org/gnome-team/libpanel.git
@@ -35,12 +36,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: ${gir:Depends},
+         ${misc:Depends},
          ${shlibs:Depends},
          libpanel-1-1 (= ${binary:Version}),
          gir1.2-panel-1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.75),
-         libgtk-4-dev (>= 4.8),
+         libglib2.0-dev (>= 2.80),
+         libgtk-4-dev (>= 4.15),
+Provides: ${gir:Provides}
 Suggests: libpanel-doc
 Description: IDE paneling library for GTK - development files
  libpanel is a collection of GTK widgets for IDE-like applications targeting

## libpanel 1.10.1

=== debian/changelog ===
libpanel (1.10.1-1) unstable; urgency=medium

  * New upstream release
  * Remove unnecessary X-Ubuntu-Langpack: yes field
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 18:09:02 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                meson (>= 0.60),
                valac
 Standards-Version: 4.7.2
-X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/libpanel
 Vcs-Git: https://salsa.debian.org/gnome-team/libpanel.git
 Homepage: https://gitlab.gnome.org/GNOME/libpanel

## libpanel 1.10.2

=== debian/changelog ===
libpanel (1.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 20:54:58 -0400

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
          ${misc:Depends},
          ${shlibs:Depends},
          libpanel-1-1 (= ${binary:Version}),
-         gir1.2-panel-1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.80),
          libgtk-4-dev (>= 4.15),
 Provides: ${gir:Provides}
@@ -53,8 +52,7 @@
 Package: libpanel-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}
 Description: IDE paneling library for GTK - common files
  libpanel is a collection of GTK widgets for IDE-like applications targeting
  GNOME using GTK 4 and libadwaita.
@@ -65,8 +63,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: IDE paneling library for GTK - documentation
  libpanel is a collection of GTK widgets for IDE-like applications targeting
  GNOME using GTK 4 and libadwaita.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled
+
+override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+[02468]/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libpanel 1.10.3

=== debian/changelog ===
libpanel (1.10.3-1) unstable; urgency=medium

  * New upstream release
  * Support nodoc build profile
  * Salsa CI: Opt into testing nodoc build profile

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Oct 2025 11:11:04 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gi-docgen,
                gir1.2-adw-1-dev,
                gir1.2-gtk-4.0-dev,
                gobject-introspection (>= 1.80),
@@ -15,6 +14,7 @@
                libgtk-4-dev (>= 4.15),
                meson (>= 0.60),
                valac
+Build-Depends-Indep: gi-docgen <!nodoc>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libpanel
 Vcs-Git: https://salsa.debian.org/gnome-team/libpanel.git
@@ -61,6 +61,7 @@
 
 Package: libpanel-doc
 Section: doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dauto_features=enabled
+		-Dauto_features=enabled \
+		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),enabled,disabled) \
 
 override_dh_gnome_clean:

=== debian/tests/control ===
Tests: trigger-3buttons
Depends: build-essential, libpanel-dev, libadwaita-1-dev, xvfb, xdotool
Restrictions: allow-stderr

## libpanel 1.10.4

=== debian/changelog ===
libpanel (1.10.4-1) unstable; urgency=medium

  * New upstream release
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Feb 2026 15:27:52 -0500

=== debian/control ===
Source: libpanel
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Section: libs
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-adw-1-dev,
               gir1.2-gtk-4.0-dev,
               gobject-introspection (>= 1.80),
               libadwaita-1-dev (>= 1.6~beta),
               libglib2.0-dev (>= 2.80),
               libgtk-4-dev (>= 4.15),
               meson,
               valac
Build-Depends-Indep: gi-docgen <!nodoc>
Vcs-Browser: https://salsa.debian.org/gnome-team/libpanel
Vcs-Git: https://salsa.debian.org/gnome-team/libpanel.git
Homepage: https://gitlab.gnome.org/GNOME/libpanel

Package: libpanel-1-1
Architecture: any
Multi-Arch: same
Depends: libpanel-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IDE paneling library for GTK
 libpanel is a collection of GTK widgets for IDE-like applications targeting
 GNOME using GTK 4 and libadwaita.

Package: libpanel-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libglib2.0-dev (>= 2.80),
         libgtk-4-dev (>= 4.15),
         libpanel-1-1 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Suggests: libpanel-doc
Provides: ${gir:Provides}
Description: IDE paneling library for GTK - development files
 libpanel is a collection of GTK widgets for IDE-like applications targeting
 GNOME using GTK 4 and libadwaita.
 .
 This package contains the development files.

Package: libpanel-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: IDE paneling library for GTK - common files
 libpanel is a collection of GTK widgets for IDE-like applications targeting
 GNOME using GTK 4 and libadwaita.
 .
 This package contains common data files and translations.

Package: libpanel-doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: IDE paneling library for GTK - documentation
 libpanel is a collection of GTK widgets for IDE-like applications targeting
 GNOME using GTK 4 and libadwaita.
 .
 This package contains the API reference.

Package: gir1.2-panel-1
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for libpanel
 This package contains GObject introspection information.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,5 @@
 		-Dauto_features=enabled \
 		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),enabled,disabled) \
 
-override_dh_gnome_clean:
+# We only use dh_gnome to automatically run dh_translations in Ubuntu
+override_dh_gnome:

=== debian/tests/control ===
Tests: trigger-3buttons
Restrictions: allow-stderr
Depends: build-essential, libadwaita-1-dev, libpanel-dev, xdotool, xvfb
